Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.lineage
Interface Lineage

    @Profile(level=CORE)
    @UML(identifier="LI_Lineage",
         specification=ISO_19115)
    public interface Lineage

Information about the events or source data used in constructing the data specified by the scope or lack of knowledge about lineage. Only one of statement, process steps and sources should be provided.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends ProcessStep>` | `getProcessSteps()` Information about an event in the creation process for the data specified by the scope.
`Collection<? extends Source>` | `getSources()` Information about the source data used in creating the data specified by the scope.
`InternationalString` | `getStatement()` General explanation of the data producer's knowledge about the lineage of a dataset.

Method Detail

### getStatement

    @Profile(level=CORE)
    @UML(identifier="statement",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getStatement()

  General explanation of the data producer's knowledge about the lineage of a dataset. Should be provided only if scope level is dataset or series.

### getProcessSteps

    @UML(identifier="processStep",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends ProcessStep> getProcessSteps()

  Information about an event in the creation process for the data specified by the scope.

### getSources

    @UML(identifier="source",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Collection<? extends Source> getSources()

  Information about the source data used in creating the data specified by the scope.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.